%define _buildid .1

Name:       sysctl-defaults
Version:    1.0
Release: 1%{?_buildid}%{?dist}
License:    ASL 2.0
Summary:    Linux sysctl defaults suitable for the Amazon Linux AMI
Group:      System Environment/Base
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Source0:    00-defaults.conf

%description
%{summary} on EC2.

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_sysconfdir}/sysctl.d
install -D -m 0444 %{SOURCE0} %{buildroot}%{_sysconfdir}/sysctl.d/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
# FIXME: nothing else owns /etc/sysctl.d right now
%dir %{_sysconfdir}/sysctl.d
%config(noreplace) %{_sysconfdir}/sysctl.d/00-defaults.conf

%changelog
* Wed Sep 17 2014 Andrew Jorgensen <ajorgens@amazon.com>
- Initial release
- setup complete for package sysctl-defaults
